const browserify = require('browserify');
const babelify = require('babelify');
const laravelJsFacades = require('babel-plugin-laravel-facades');

const laravelJsFacadesInstance = laravelJsFacades.instance('messages.json');

browserify('x.js')
    .transform(babelify, {
        presets: ['es2015'],
        plugins: [
            [
                'laravel-facades',
                laravelJsFacadesInstance
            ]
        ]
    })
    .bundle()
    .on('end', laravelJsFacadesInstance.write)
    .pipe(process.stdout);